---
updatedAt: 2025-12-23T15:23:48.000Z
agentTools:
  siteIndex: https://developer.paymentology.com/llms.txt
  projectIndex: https://developer.paymentology.com/lume/llms.txt
---

# Update Card Metadata 3DS

This API provides the ability to update the card metadata in 3DS by passing the client id and token details

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "PayApi Docs",
    "description": "OpenAPI 3.0 spec for PayAPI with required fields sorted first",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.uat.paymentology.com/ppws/api"
    }
  ],
  "tags": [
    {
      "name": "Apata"
    }
  ],
  "paths": {
    "/pws/pws_update_card_meta_data_3ds/": {
      "post": {
        "tags": [
          "Apata"
        ],
        "summary": "Update Card Metadata in 3DS",
        "operationId": "pws_update_card_metadata_3ds",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCardMetadata3DSModel"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpdateCardMetadata3DSResponseModel"
                }
              }
            }
          },
          "404": {
            "description": "Webservices does not exist"
          },
          "500": {
            "description": "Internal Server error"
          }
        },
        "description": "This API provides the ability to update the card metadata in 3DS by passing the client id and token details",
        "x-codeSamples": [
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat.paymentology.com/ppws/api/pws/pws_update_card_meta_data_3ds/\");\nvar request = new RestRequest(Method.POST);\nrequest.AddHeader(\"content-type\", \"application/json\");\nrequest.AddParameter(\"application/json\", \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"client_id\\\":760131,\\\"token\\\":311012081,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"cardProgramId\\\":\\\"ec737f30-0c61-4383-9732-83d7c7b38b49\\\",\\\"language\\\":\\\"en\\\",\\\"email\\\":\\\"akshay@paymentology.com\\\",\\\"phoneNumber\\\":\\\"00792736252\\\",\\\"challengeMethods\\\":[{\\\"ids\\\":[\\\"string\\\"]}],\\\"enabled\\\":true,\\\"biometricsConsent\\\":\\\"GRANTED\\\",\\\"testable\\\":false,\\\"3ds_challenge_profile\\\":\\\"950c886e-8eba-4465-8443-d22f90d269f8\\\"}\", ParameterType.RequestBody);\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Java + Okhttp",
            "source": "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"client_id\\\":760131,\\\"token\\\":311012081,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"cardProgramId\\\":\\\"ec737f30-0c61-4383-9732-83d7c7b38b49\\\",\\\"language\\\":\\\"en\\\",\\\"email\\\":\\\"akshay@paymentology.com\\\",\\\"phoneNumber\\\":\\\"00792736252\\\",\\\"challengeMethods\\\":[{\\\"ids\\\":[\\\"string\\\"]}],\\\"enabled\\\":true,\\\"biometricsConsent\\\":\\\"GRANTED\\\",\\\"testable\\\":false,\\\"3ds_challenge_profile\\\":\\\"950c886e-8eba-4465-8443-d22f90d269f8\\\"}\");\nRequest request = new Request.Builder()\n  .url(\"https://api.uat.paymentology.com/ppws/api/pws/pws_update_card_meta_data_3ds/\")\n  .post(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
          },
          {
            "lang": "Javascript + Jquery",
            "source": "const settings = {\n  \"async\": true,\n  \"crossDomain\": true,\n  \"url\": \"https://api.uat.paymentology.com/ppws/api/pws/pws_update_card_meta_data_3ds/\",\n  \"method\": \"POST\",\n  \"headers\": {\n    \"content-type\": \"application/json\"\n  },\n  \"processData\": false,\n  \"data\": \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"client_id\\\":760131,\\\"token\\\":311012081,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"cardProgramId\\\":\\\"ec737f30-0c61-4383-9732-83d7c7b38b49\\\",\\\"language\\\":\\\"en\\\",\\\"email\\\":\\\"akshay@paymentology.com\\\",\\\"phoneNumber\\\":\\\"00792736252\\\",\\\"challengeMethods\\\":[{\\\"ids\\\":[\\\"string\\\"]}],\\\"enabled\\\":true,\\\"biometricsConsent\\\":\\\"GRANTED\\\",\\\"testable\\\":false,\\\"3ds_challenge_profile\\\":\\\"950c886e-8eba-4465-8443-d22f90d269f8\\\"}\"\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});"
          },
          {
            "lang": "Php + Http1",
            "source": "<?php\n\n$request = new HttpRequest();\n$request->setUrl('https://api.uat.paymentology.com/ppws/api/pws/pws_update_card_meta_data_3ds/');\n$request->setMethod(HTTP_METH_POST);\n\n$request->setHeaders([\n  'content-type' => 'application/json'\n]);\n\n$request->setBody('{\"api_call_unique_identifier\":\"438574845790657485\",\"client_id\":760131,\"token\":311012081,\"user_id\":\"string\",\"remarks\":\"string\",\"cardProgramId\":\"ec737f30-0c61-4383-9732-83d7c7b38b49\",\"language\":\"en\",\"email\":\"akshay@paymentology.com\",\"phoneNumber\":\"00792736252\",\"challengeMethods\":[{\"ids\":[\"string\"]}],\"enabled\":true,\"biometricsConsent\":\"GRANTED\",\"testable\":false,\"3ds_challenge_profile\":\"950c886e-8eba-4465-8443-d22f90d269f8\"}');\n\ntry {\n  $response = $request->send();\n\n  echo $response->getBody();\n} catch (HttpException $ex) {\n  echo $ex;\n}"
          },
          {
            "lang": "Python + Python3",
            "source": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.uat.paymentology.com\")\n\npayload = \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"client_id\\\":760131,\\\"token\\\":311012081,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"cardProgramId\\\":\\\"ec737f30-0c61-4383-9732-83d7c7b38b49\\\",\\\"language\\\":\\\"en\\\",\\\"email\\\":\\\"akshay@paymentology.com\\\",\\\"phoneNumber\\\":\\\"00792736252\\\",\\\"challengeMethods\\\":[{\\\"ids\\\":[\\\"string\\\"]}],\\\"enabled\\\":true,\\\"biometricsConsent\\\":\\\"GRANTED\\\",\\\"testable\\\":false,\\\"3ds_challenge_profile\\\":\\\"950c886e-8eba-4465-8443-d22f90d269f8\\\"}\"\n\nheaders = { 'content-type': \"application/json\" }\n\nconn.request(\"POST\", \"/ppws/api/pws/pws_update_card_meta_data_3ds/\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
          },
          {
            "lang": "Shell + Curl",
            "source": "curl --request POST \\\n  --url https://api.uat.paymentology.com/ppws/api/pws/pws_update_card_meta_data_3ds/ \\\n  --header 'content-type: application/json' \\\n  --data '{\"api_call_unique_identifier\":\"438574845790657485\",\"client_id\":760131,\"token\":311012081,\"user_id\":\"string\",\"remarks\":\"string\",\"cardProgramId\":\"ec737f30-0c61-4383-9732-83d7c7b38b49\",\"language\":\"en\",\"email\":\"akshay@paymentology.com\",\"phoneNumber\":\"00792736252\",\"challengeMethods\":[{\"ids\":[\"string\"]}],\"enabled\":true,\"biometricsConsent\":\"GRANTED\",\"testable\":false,\"3ds_challenge_profile\":\"950c886e-8eba-4465-8443-d22f90d269f8\"}'"
          },
          {
            "lang": "Go + Native",
            "source": "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.uat.paymentology.com/ppws/api/pws/pws_update_card_meta_data_3ds/\"\n\n\tpayload := strings.NewReader(\"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"client_id\\\":760131,\\\"token\\\":311012081,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"cardProgramId\\\":\\\"ec737f30-0c61-4383-9732-83d7c7b38b49\\\",\\\"language\\\":\\\"en\\\",\\\"email\\\":\\\"akshay@paymentology.com\\\",\\\"phoneNumber\\\":\\\"00792736252\\\",\\\"challengeMethods\\\":[{\\\"ids\\\":[\\\"string\\\"]}],\\\"enabled\\\":true,\\\"biometricsConsent\\\":\\\"GRANTED\\\",\\\"testable\\\":false,\\\"3ds_challenge_profile\\\":\\\"950c886e-8eba-4465-8443-d22f90d269f8\\\"}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
          },
          {
            "lang": "Node + Native",
            "source": "const http = require(\"https\");\n\nconst options = {\n  \"method\": \"POST\",\n  \"hostname\": \"uat.banking.live\",\n  \"port\": \"55555\",\n  \"path\": \"/ppws/api/pws/pws_update_card_meta_data_3ds/\",\n  \"headers\": {\n    \"content-type\": \"application/json\"\n  }\n};\n\nconst req = http.request(options, function (res) {\n  const chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    const body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({\n  api_call_unique_identifier: '438574845790657485',\n  client_id: 760131,\n  token: 311012081,\n  user_id: 'string',\n  remarks: 'string',\n  cardProgramId: 'ec737f30-0c61-4383-9732-83d7c7b38b49',\n  language: 'en',\n  email: 'akshay@paymentology.com',\n  phoneNumber: '00792736252',\n  challengeMethods: [{ids: ['string']}],\n  enabled: true,\n  biometricsConsent: 'GRANTED',\n  testable: false,\n  '3ds_challenge_profile': '950c886e-8eba-4465-8443-d22f90d269f8'\n}));\nreq.end();"
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Challenge3DS": {
        "type": "object",
        "properties": {
          "ids": {
            "type": "array",
            "description": "list of challenge methods",
            "items": {
              "type": "string",
              "description": "list of challenge methods"
            }
          }
        }
      },
      "UpdateCardMetadata3DSResponseModel": {
        "type": "object",
        "properties": {
          "header": {
            "$ref": "#/components/schemas/Header"
          },
          "body": {
            "$ref": "#/components/schemas/UpdateCardMetadata3DSResponse"
          }
        }
      },
      "UpdateCardMetadata3DSResponse": {
        "type": "object",
        "properties": {
          "externalId": {
            "type": "string",
            "description": "An external reference that has meaning to the Organisation or Financial Institution that owns the Card.",
            "example": "string"
          },
          "scheme": {
            "type": "string",
            "description": "Enum: \"VISA\" \"MASTERCARD\"\nThe payment scheme of the card",
            "example": "VISA"
          },
          "language": {
            "type": "string",
            "description": "ISO 639-1 two-letter language code",
            "example": "en"
          },
          "challengeMethods": {
            "type": "array",
            "description": "list of Challenge Methods",
            "items": {
              "$ref": "#/components/schemas/Challenge3DS"
            }
          },
          "phoneNumbers": {
            "type": "array",
            "description": "list of Phone numbers",
            "items": {
              "type": "string",
              "description": "list of Phone numbers"
            }
          },
          "emails": {
            "type": "array",
            "description": "list of email addresses",
            "items": {
              "type": "string",
              "description": "list of email addresses"
            }
          },
          "biometricConsent": {
            "type": "string",
            "description": "Default: \"GRANTED\"\nEnum: \"GRANTED\" \"REVOKED\"\nWhether biometric data collection and processing is permitted on the card.",
            "example": "GRANTED"
          },
          "cardProgramId": {
            "type": "string",
            "description": "ID for a Card Program.",
            "example": "ec737f30-0c61-4383-9732-83d7c7b38b49"
          },
          "challengeProfileId": {
            "type": "string",
            "description": "Unique identifier for the challenge profile.",
            "example": "950c886e-8eba-4465-8443-d22f90d269f8"
          }
        }
      },
      "Header": {
        "required": [
          "error_desc",
          "error_id"
        ],
        "type": "object",
        "properties": {
          "error_desc": {
            "type": "string",
            "description": "Error Description",
            "example": "success"
          },
          "error_id": {
            "type": "integer",
            "description": "Error Id",
            "format": "int32",
            "example": 0
          }
        }
      },
      "UpdateCardMetadata3DSModel": {
        "required": [
          "api_call_unique_identifier",
          "client_id",
          "token"
        ],
        "type": "object",
        "properties": {
          "api_call_unique_identifier": {
            "maxLength": 40,
            "minLength": 1,
            "type": "string",
            "description": "Unique number that must be passed at each API request. Identifier to make each API request unique",
            "example": "438574845790657485"
          },
          "client_id": {
            "minimum": 1,
            "type": "integer",
            "description": "Unique identifier for the client which Paymentology will provide at outset",
            "format": "int32",
            "example": 760131
          },
          "token": {
            "minimum": 1,
            "type": "integer",
            "description": "Public token for the card.",
            "format": "int64",
            "example": 311012081
          },
          "user_id": {
            "maxLength": 50,
            "minLength": 0,
            "type": "string",
            "description": "User Id of the Customer who triggered the API request."
          },
          "remarks": {
            "maxLength": 200,
            "minLength": 0,
            "type": "string",
            "description": "Remarks for API request"
          },
          "cardProgramId": {
            "type": "string",
            "description": "ID for a Card Program.",
            "example": "ec737f30-0c61-4383-9732-83d7c7b38b49"
          },
          "language": {
            "type": "string",
            "description": "ISO 639-1 two-letter language code.",
            "example": "en"
          },
          "email": {
            "maxLength": 60,
            "minLength": 0,
            "type": "string",
            "description": "card Holder Email.",
            "format": "email",
            "example": "akshay@paymentology.com"
          },
          "phoneNumber": {
            "maxLength": 20,
            "minLength": 0,
            "type": "string",
            "description": "card Holder Mobile Number. phone number format i.e 00 (country code) phone number or + (country code) phone number.",
            "example": "00792736252"
          },
          "challengeMethods": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Challenge3DS"
            }
          },
          "enabled": {
            "type": "boolean",
            "description": "Whether card is enabled. Disabled cards fail authentication with the ACS. Default value is true.",
            "example": true
          },
          "biometricsConsent": {
            "type": "string",
            "description": "Whether biometric data collection and processing is permitted on the card. Default value is GRANTED.",
            "example": "GRANTED",
            "enum": [
              "GRANTED, REVOKED"
            ]
          },
          "testable": {
            "type": "boolean",
            "description": "Whether card can be used for test transactions.. Default value is false.",
            "example": false
          },
          "3ds_challenge_profile": {
            "type": "string",
            "description": "Unique identifier for the challenge profile. challengeMethods will be ignored if this value is not null.",
            "example": "950c886e-8eba-4465-8443-d22f90d269f8"
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "API",
      "tags": [
        "Overview",
        "Account Structure",
        "Security and Authentication",
        "Required Fields",
        "Error handling/Codes",
        "Curl Request Sample",
        "API 1.0",
        "API 2.0",
        "API 3.0"
      ]
    },
    {
      "name": "API 2.0",
      "tags": [
        "",
        "3DS",
        "Account",
        "Account Groups",
        "Account V2",
        "Apata",
        "Card",
        "Card Groups",
        "Card PaySecure WS",
        "Card PaySecure WS V2",
        "Card PaySecure WS V3",
        "Card V2",
        "Card-v2",
        "Cashback",
        "Chargeback",
        "Chargeback V2",
        "ChargeBack-V2",
        "Credit account status",
        "Credit billing cycle",
        "Credit grace period",
        "Credit interest",
        "Credit limits",
        "Credit test script",
        "Customer",
        "Customer-V2",
        "Decision Engine",
        "Delinquency",
        "EMV",
        "Fees",
        "Group",
        "Health check",
        "Installment",
        "Mada Pay - MadaPay To PTY (Beta)",
        "Mada Pay LCM",
        "MCC",
        "PcjS API Docs V2",
        "Pin-V2",
        "Rules",
        "Rules action",
        "Rules action V2",
        "Rules V2",
        "SCA Contactless Limits",
        "Tokenization customer service",
        "Tokenization Predigitization",
        "Tokenization predigitization lite",
        "Transaction",
        "VCAS",
        "VTS - PTY To Visa",
        "VTS - Visa To PTY",
        "Wallet"
      ]
    },
    {
      "name": "Ledger API",
      "tags": [
        "Ledger API - Cards"
      ]
    },
    {
      "name": "Deprecated",
      "tags": [
        "Rules (Deprecated)"
      ]
    }
  ]
}
```

# Sibling pages

* [Check Card Enrollment](https://developer.paymentology.com/lume/reference/pws_card_enroll_status_3ds.md)
* [Disable Card Enrollment](https://developer.paymentology.com/lume/reference/pws_disable_card_3ds.md)
* [Enable Card Enrollment](https://developer.paymentology.com/lume/reference/pws_enable_card_3ds.md)
* [Enroll 3DS](https://developer.paymentology.com/lume/reference/pws_enroll_3ds.md)
* [Get 3DS Challenge Profile](https://developer.paymentology.com/lume/reference/pws_get_challenge_profile_3ds.md)
* [List 3DS Challenge Methods](https://developer.paymentology.com/lume/reference/pws_list_challenge_methods_3ds.md)
* [List 3DS Challenge Profiles](https://developer.paymentology.com/lume/reference/pws_list_challenge_profiles_3ds.md)
* [Remove Card From 3DS](https://developer.paymentology.com/lume/reference/pws_remove_card_3ds.md)
* [Update Challenge Profile](https://developer.paymentology.com/lume/reference/pws_update_challenge_profile.md)